#
# spec file for package src_vipa
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           src_vipa
URL:            http://www.ibm.com/developerworks/linux/linux390/useful_add-ons_vipa.html
Version:        2.1.0
Release:        5.2
Summary:        Virtual Source IP address support for HA solutions
License:        CPL-1.0
Group:          Productivity/Clustering/HA
Source:         http://public.dhe.ibm.com/software/dw/linux390/ht_src/%name-%version.tar.gz
Source1:        http://www.ibm.com/developerworks/linux/linux390/MD5/src/%name-%version.md5
Patch1:         src_vipa-ldlibrarypath.patch
Patch2:         src_vipa-ignore_ldconfig.patch
Patch3:         src_vipa-fix-abend-in-memcpy.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides very flexible means of source IP address
selection to arbitrary applications. This is particularly useful for
high availability setups, where the dummy device holds a "VIPA"
(virtual IP address). Please read the
/usr/share/doc/packages/src_vipa/README and the manpage of src_vipa for
further information.



%prep
pushd `dirname %{S:0}`
md5sum -c %{S:1}
popd
%setup -q
%patch -P 1 -p1
%patch -P 2
%patch -P 3 -p1

%build
make SRC_VIPA_PATH=%_libdir
make CFLAGS="$RPM_OPT_FLAGS -Wall"

%install
make INSTROOT=%buildroot SRC_VIPA_PATH=%buildroot%_libdir install
#mkdir -p $RPM_BUILD_ROOT/{%{_sbindir},%{_mandir}/man8/}
#install vconfig $RPM_BUILD_ROOT/%{_sbindir}
#cp -p vconfig.8 $RPM_BUILD_ROOT%{_mandir}/man8/
#cp %SOURCE2 .

%files
%defattr(444,root,root,755)
%doc README LICENSE
%doc %{_mandir}/man8/*.8.gz
%attr(555,root,root) %_sbindir/*
%attr(555,root,root) %_libdir/src_vipa*

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Tue Nov 23 2021 Jean Delvare <jdelvare@suse.com>
- src_vipa-fix-abend-in-memcpy.patch: src_vipa: Fix abend in
  memcpy (bsc#1141887 bsc#1142048 bsc#1192860)
* Fri Feb 14 2014 andreas.stieger@gmx.de
- update source URLs, see https://en.opensuse.org/SourceUrls
- verify source tarball md5
- change to original upstream tarball, no source change
* Mon Jan 27 2014 ihno@suse.com
- Fixed patches
  src_vipa-ignore_ldconfig.patch
  src_vipa-ldlibrarypath.patch
* Fri Jan 24 2014 ihno@suse.de
- Updated tar ball from IBM
* Fri Jan 24 2014 ihno@suse.de
- update to version 2.1.0 (FATE #315295)
  both patches are still needed.
* Fri Jul  6 2012 meissner@suse.com
- remove unsafe LD_LIBRARY_PATH usage (not necessary due to
  it being instaleld to /usr/lib anyway)
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Wed Sep 24 2008 jjolly@suse.de
- Updated to 2.0.4 tarball from developerWorks site
* Mon Feb 12 2007 ro@suse.de
- fix build as non-root
* Fri Aug 25 2006 aj@suse.de
- Fix build.
- Do not set LD_LIBRARY without need.
- Fix usage of uninitialized variable.
* Thu May 18 2006 schwab@suse.de
- Use RPM_OPT_FLAGS.
- Fix building of shared library.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Apr 12 2005 ihno@suse.de
- update to 2.0.3 (code drop 2005-02-15)
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Fri Nov 28 2003 bk@suse.de
- update to 2.0.0 and added further glibc-2.3.2 compile fixes
* Tue Aug 12 2003 ro@suse.de
- fix build on x86_64
* Wed Jun 25 2003 ro@suse.de
- fix bind definition
* Mon Jul 22 2002 bk@suse.de
- update to 1.0.1 which fixes a lib64 problem
* Fri Jul 19 2002 bk@suse.de
- initial version
